## org.eclipse.datatools.modelbase.dbdefinition
Interface DatabaseVendorDefinition

All Known Implementing Classes:
  DatabaseVendorDefinitionImpl

public interface DatabaseVendorDefinition

A representation of the model object 'Database Vendor Definition'.

The following features are supported:

- `Predefined Data Type Definitions`
- `Table Space Definition`
- `Stored Procedure Definition`
- `Trigger Definition`
- `Column Definition`
- `Constraint Definition`
- `Extended Definitions`
- `Index Definition`
- `Table Definition`
- `Sequence Definition`
- `Udt Definition`
- `Query Definition`
- `SQL Syntax Definition`
- `Nickname Definition`
- `Schema Definition`
- `View Definition`
- `Debugger Definition`
- `Privileged Element Definitions`
- `Vendor`
- `Version`
- `Constraints Supported`
- `Maximum Identifier Length`
- `Trigger Supported`
- `Snapshot View Supported`
- `Join Supported`
- `View Trigger Supported`
- `Tablespaces Supported`
- `Maximum Comment Length`
- `Sequence Supported`
- `MQT Supported`
- `Schema Supported`
- `Alias Supported`
- `Synonym Supported`
- `User Defined Type Supported`
- `Domain Supported`
- `SQL Statement Supported`
- `Nickname Supported`
- `Quoted DML Supported`
- `Quoted DDL Supported`
- `Xml Supported`
- `MQT Index Supported`
- `Event Supported`
- `Sql UDF Supported`
- `Stored Procedure Supported`
- `Package Supported`
- `Authorization Identifier Supported`
- `Role Supported`
- `Group Supported`
- `User Supported`
- `Role Authorization Supported`

See Also:
  `DatabaseDefinitionPackage.getDatabaseVendorDefinition()`

Method Summary
`ColumnDefinition` `getColumnDefinition()` Returns the value of the 'Column Definition' containment reference.
`ConstraintDefinition` `getConstraintDefinition()` Returns the value of the 'Constraint Definition' containment reference.
`DebuggerDefinition` `getDebuggerDefinition()` Returns the value of the 'Debugger Definition' containment reference.
`EList` `getExtendedDefinitions()` Returns the value of the 'Extended Definitions' containment reference list.
`IndexDefinition` `getIndexDefinition()` Returns the value of the 'Index Definition' containment reference.
`int` `getMaximumCommentLength()` Returns the value of the 'Maximum Comment Length' attribute.
`int` `getMaximumIdentifierLength()` Returns the value of the 'Maximum Identifier Length' attribute.
`NicknameDefinition` `getNicknameDefinition()` Returns the value of the 'Nickname Definition' containment reference.
`EList` `getPredefinedDataTypeDefinitions()` Returns the value of the 'Predefined Data Type Definitions' containment reference list.
`EList` `getPrivilegedElementDefinitions()` Returns the value of the 'Privileged Element Definitions' containment reference list.
`QueryDefinition` `getQueryDefinition()` Returns the value of the 'Query Definition' containment reference.
`SchemaDefinition` `getSchemaDefinition()` Returns the value of the 'Schema Definition' containment reference.
`SequenceDefinition` `getSequenceDefinition()` Returns the value of the 'Sequence Definition' containment reference.
`SQLSyntaxDefinition` `getSQLSyntaxDefinition()` Returns the value of the 'SQL Syntax Definition' containment reference.
`StoredProcedureDefinition` `getStoredProcedureDefinition()` Returns the value of the 'Stored Procedure Definition' containment reference.
`TableDefinition` `getTableDefinition()` Returns the value of the 'Table Definition' containment reference.
`TableSpaceDefinition` `getTableSpaceDefinition()` Returns the value of the 'Table Space Definition' containment reference.
`TriggerDefinition` `getTriggerDefinition()` Returns the value of the 'Trigger Definition' containment reference.
`UserDefinedTypeDefinition` `getUdtDefinition()` Returns the value of the 'Udt Definition' containment reference.
`java.lang.String` `getVendor()` Returns the value of the 'Vendor' attribute.
`java.lang.String` `getVersion()` Returns the value of the 'Version' attribute.
`ViewDefinition` `getViewDefinition()` Returns the value of the 'View Definition' containment reference.
`boolean` `isAliasSupported()` Returns the value of the 'Alias Supported' attribute.
`boolean` `isAuthorizationIdentifierSupported()` Returns the value of the 'Authorization Identifier Supported' attribute.
`boolean` `isConstraintsSupported()` Returns the value of the 'Constraints Supported' attribute.
`boolean` `isDomainSupported()` Returns the value of the 'Domain Supported' attribute.
`boolean` `isEventSupported()` Returns the value of the 'Event Supported' attribute.
`boolean` `isGroupSupported()` Returns the value of the 'Group Supported' attribute.
`boolean` `isJoinSupported()` Returns the value of the 'Join Supported' attribute.
`boolean` `isMQTIndexSupported()` Returns the value of the 'MQT Index Supported' attribute.
`boolean` `isMQTSupported()` Returns the value of the 'MQT Supported' attribute.
`boolean` `isNicknameSupported()` Returns the value of the 'Nickname Supported' attribute.
`boolean` `isPackageSupported()` Returns the value of the 'Package Supported' attribute.
`boolean` `isQuotedDDLSupported()` Returns the value of the 'Quoted DDL Supported' attribute.
`boolean` `isQuotedDMLSupported()` Returns the value of the 'Quoted DML Supported' attribute.
`boolean` `isRoleAuthorizationSupported()` Returns the value of the 'Role Authorization Supported' attribute.
`boolean` `isRoleSupported()` Returns the value of the 'Role Supported' attribute.
`boolean` `isSchemaSupported()` Returns the value of the 'Schema Supported' attribute.
`boolean` `isSequenceSupported()` Returns the value of the 'Sequence Supported' attribute.
`boolean` `isSnapshotViewSupported()` Returns the value of the 'Snapshot View Supported' attribute.
`boolean` `isSQLStatementSupported()` Returns the value of the 'SQL Statement Supported' attribute.
`boolean` `isSqlUDFSupported()` Returns the value of the 'Sql UDF Supported' attribute.
`boolean` `isStoredProcedureSupported()` Returns the value of the 'Stored Procedure Supported' attribute.
`boolean` `isSynonymSupported()` Returns the value of the 'Synonym Supported' attribute.
`boolean` `isTablespacesSupported()` Returns the value of the 'Tablespaces Supported' attribute.
`boolean` `isTriggerSupported()` Returns the value of the 'Trigger Supported' attribute.
`boolean` `isUserDefinedTypeSupported()` Returns the value of the 'User Defined Type Supported' attribute.
`boolean` `isUserSupported()` Returns the value of the 'User Supported' attribute.
`boolean` `isViewTriggerSupported()` Returns the value of the 'View Trigger Supported' attribute.
`boolean` `isXmlSupported()` Returns the value of the 'Xml Supported' attribute.
`void` `setAliasSupported(boolean value)` Sets the value of the '`Alias Supported`' attribute.
`void` `setAuthorizationIdentifierSupported(boolean value)` Sets the value of the '`Authorization Identifier Supported`' attribute.
`void` `setColumnDefinition(ColumnDefinition value)` Sets the value of the '`Column Definition`' containment reference.
`void` `setConstraintDefinition(ConstraintDefinition value)` Sets the value of the '`Constraint Definition`' containment reference.
`void` `setConstraintsSupported(boolean value)` Sets the value of the '`Constraints Supported`' attribute.
`void` `setDebuggerDefinition(DebuggerDefinition value)` Sets the value of the '`Debugger Definition`' containment reference.
`void` `setDomainSupported(boolean value)` Sets the value of the '`Domain Supported`' attribute.
`void` `setEventSupported(boolean value)` Sets the value of the '`Event Supported`' attribute.
`void` `setGroupSupported(boolean value)` Sets the value of the '`Group Supported`' attribute.
`void` `setIndexDefinition(IndexDefinition value)` Sets the value of the '`Index Definition`' containment reference.
`void` `setJoinSupported(boolean value)` Sets the value of the '`Join Supported`' attribute.
`void` `setMaximumCommentLength(int value)` Sets the value of the '`Maximum Comment Length`' attribute.
`void` `setMaximumIdentifierLength(int value)` Sets the value of the '`Maximum Identifier Length`' attribute.
`void` `setMQTIndexSupported(boolean value)` Sets the value of the '`MQT Index Supported`' attribute.
`void` `setMQTSupported(boolean value)` Sets the value of the '`MQT Supported`' attribute.
`void` `setNicknameDefinition(NicknameDefinition value)` Sets the value of the '`Nickname Definition`' containment reference.
`void` `setNicknameSupported(boolean value)` Sets the value of the '`Nickname Supported`' attribute.
`void` `setPackageSupported(boolean value)` Sets the value of the '`Package Supported`' attribute.
`void` `setQueryDefinition(QueryDefinition value)` Sets the value of the '`Query Definition`' containment reference.
`void` `setQuotedDDLSupported(boolean value)` Sets the value of the '`Quoted DDL Supported`' attribute.
`void` `setQuotedDMLSupported(boolean value)` Sets the value of the '`Quoted DML Supported`' attribute.
`void` `setRoleAuthorizationSupported(boolean value)` Sets the value of the '`Role Authorization Supported`' attribute.
`void` `setRoleSupported(boolean value)` Sets the value of the '`Role Supported`' attribute.
`void` `setSchemaDefinition(SchemaDefinition value)` Sets the value of the '`Schema Definition`' containment reference.
`void` `setSchemaSupported(boolean value)` Sets the value of the '`Schema Supported`' attribute.
`void` `setSequenceDefinition(SequenceDefinition value)` Sets the value of the '`Sequence Definition`' containment reference.
`void` `setSequenceSupported(boolean value)` Sets the value of the '`Sequence Supported`' attribute.
`void` `setSnapshotViewSupported(boolean value)` Sets the value of the '`Snapshot View Supported`' attribute.
`void` `setSQLStatementSupported(boolean value)` Sets the value of the '`SQL Statement Supported`' attribute.
`void` `setSQLSyntaxDefinition(SQLSyntaxDefinition value)` Sets the value of the '`SQL Syntax Definition`' containment reference.
`void` `setSqlUDFSupported(boolean value)` Sets the value of the '`Sql UDF Supported`' attribute.
`void` `setStoredProcedureDefinition(StoredProcedureDefinition value)` Sets the value of the '`Stored Procedure Definition`' containment reference.
`void` `setStoredProcedureSupported(boolean value)` Sets the value of the '`Stored Procedure Supported`' attribute.
`void` `setSynonymSupported(boolean value)` Sets the value of the '`Synonym Supported`' attribute.
`void` `setTableDefinition(TableDefinition value)` Sets the value of the '`Table Definition`' containment reference.
`void` `setTableSpaceDefinition(TableSpaceDefinition value)` Sets the value of the '`Table Space Definition`' containment reference.
`void` `setTablespacesSupported(boolean value)` Sets the value of the '`Tablespaces Supported`' attribute.
`void` `setTriggerDefinition(TriggerDefinition value)` Sets the value of the '`Trigger Definition`' containment reference.
`void` `setTriggerSupported(boolean value)` Sets the value of the '`Trigger Supported`' attribute.
`void` `setUdtDefinition(UserDefinedTypeDefinition value)` Sets the value of the '`Udt Definition`' containment reference.
`void` `setUserDefinedTypeSupported(boolean value)` Sets the value of the '`User Defined Type Supported`' attribute.
`void` `setUserSupported(boolean value)` Sets the value of the '`User Supported`' attribute.
`void` `setVendor(java.lang.String value)` Sets the value of the '`Vendor`' attribute.
`void` `setVersion(java.lang.String value)` Sets the value of the '`Version`' attribute.
`void` `setViewDefinition(ViewDefinition value)` Sets the value of the '`View Definition`' containment reference.
`void` `setViewTriggerSupported(boolean value)` Sets the value of the '`View Trigger Supported`' attribute.
`void` `setXmlSupported(boolean value)` Sets the value of the '`Xml Supported`' attribute.

Method Detail

### getVendor

    public java.lang.String getVendor()

  Returns the value of the 'Vendor' attribute.

  If the meaning of the 'Vendor' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Vendor' attribute.
  See Also:
    `setVendor(String)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_Vendor()`

### setVendor

    public void setVendor(java.lang.String value)

  Sets the value of the '`Vendor`' attribute.

  Parameters:
    `value` - the new value of the 'Vendor' attribute.
  See Also:
    `getVendor()`

### getVersion

    public java.lang.String getVersion()

  Returns the value of the 'Version' attribute.

  If the meaning of the 'Version' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Version' attribute.
  See Also:
    `setVersion(String)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_Version()`

### setVersion

    public void setVersion(java.lang.String value)

  Sets the value of the '`Version`' attribute.

  Parameters:
    `value` - the new value of the 'Version' attribute.
  See Also:
    `getVersion()`

### isConstraintsSupported

    public boolean isConstraintsSupported()

  Returns the value of the 'Constraints Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Constraints Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Constraints Supported' attribute.
  See Also:
    `setConstraintsSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ConstraintsSupported()`

### setConstraintsSupported

    public void setConstraintsSupported(boolean value)

  Sets the value of the '`Constraints Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Constraints Supported' attribute.
  See Also:
    `isConstraintsSupported()`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Returns the value of the 'Maximum Identifier Length' attribute.

  If the meaning of the 'Maximum Identifier Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Identifier Length' attribute.
  See Also:
    `setMaximumIdentifierLength(int)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_MaximumIdentifierLength()`

### setMaximumIdentifierLength

    public void setMaximumIdentifierLength(int value)

  Sets the value of the '`Maximum Identifier Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Identifier Length' attribute.
  See Also:
    `getMaximumIdentifierLength()`

### isTriggerSupported

    public boolean isTriggerSupported()

  Returns the value of the 'Trigger Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Trigger Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Trigger Supported' attribute.
  See Also:
    `setTriggerSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_TriggerSupported()`

### setTriggerSupported

    public void setTriggerSupported(boolean value)

  Sets the value of the '`Trigger Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Trigger Supported' attribute.
  See Also:
    `isTriggerSupported()`

### isSnapshotViewSupported

    public boolean isSnapshotViewSupported()

  Returns the value of the 'Snapshot View Supported' attribute.

  If the meaning of the 'Snapshot View Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Snapshot View Supported' attribute.
  See Also:
    `setSnapshotViewSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SnapshotViewSupported()`

### setSnapshotViewSupported

    public void setSnapshotViewSupported(boolean value)

  Sets the value of the '`Snapshot View Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Snapshot View Supported' attribute.
  See Also:
    `isSnapshotViewSupported()`

### isJoinSupported

    public boolean isJoinSupported()

  Returns the value of the 'Join Supported' attribute.

  If the meaning of the 'Join Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Join Supported' attribute.
  See Also:
    `setJoinSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_JoinSupported()`

### setJoinSupported

    public void setJoinSupported(boolean value)

  Sets the value of the '`Join Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Join Supported' attribute.
  See Also:
    `isJoinSupported()`

### isViewTriggerSupported

    public boolean isViewTriggerSupported()

  Returns the value of the 'View Trigger Supported' attribute.

  If the meaning of the 'View Trigger Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'View Trigger Supported' attribute.
  See Also:
    `setViewTriggerSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ViewTriggerSupported()`

### setViewTriggerSupported

    public void setViewTriggerSupported(boolean value)

  Sets the value of the '`View Trigger Supported`' attribute.

  Parameters:
    `value` - the new value of the 'View Trigger Supported' attribute.
  See Also:
    `isViewTriggerSupported()`

### isTablespacesSupported

    public boolean isTablespacesSupported()

  Returns the value of the 'Tablespaces Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Tablespaces Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Tablespaces Supported' attribute.
  See Also:
    `setTablespacesSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_TablespacesSupported()`

### setTablespacesSupported

    public void setTablespacesSupported(boolean value)

  Sets the value of the '`Tablespaces Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Tablespaces Supported' attribute.
  See Also:
    `isTablespacesSupported()`

### getMaximumCommentLength

    public int getMaximumCommentLength()

  Returns the value of the 'Maximum Comment Length' attribute.

  If the meaning of the 'Maximum Comment Length' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Comment Length' attribute.
  See Also:
    `setMaximumCommentLength(int)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_MaximumCommentLength()`

### setMaximumCommentLength

    public void setMaximumCommentLength(int value)

  Sets the value of the '`Maximum Comment Length`' attribute.

  Parameters:
    `value` - the new value of the 'Maximum Comment Length' attribute.
  See Also:
    `getMaximumCommentLength()`

### isSequenceSupported

    public boolean isSequenceSupported()

  Returns the value of the 'Sequence Supported' attribute.

  If the meaning of the 'Sequence Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sequence Supported' attribute.
  See Also:
    `setSequenceSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SequenceSupported()`

### setSequenceSupported

    public void setSequenceSupported(boolean value)

  Sets the value of the '`Sequence Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Sequence Supported' attribute.
  See Also:
    `isSequenceSupported()`

### isMQTSupported

    public boolean isMQTSupported()

  Returns the value of the 'MQT Supported' attribute.

  If the meaning of the 'MQT Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'MQT Supported' attribute.
  See Also:
    `setMQTSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_MQTSupported()`

### setMQTSupported

    public void setMQTSupported(boolean value)

  Sets the value of the '`MQT Supported`' attribute.

  Parameters:
    `value` - the new value of the 'MQT Supported' attribute.
  See Also:
    `isMQTSupported()`

### isSchemaSupported

    public boolean isSchemaSupported()

  Returns the value of the 'Schema Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Schema Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema Supported' attribute.
  See Also:
    `setSchemaSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SchemaSupported()`

### setSchemaSupported

    public void setSchemaSupported(boolean value)

  Sets the value of the '`Schema Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Schema Supported' attribute.
  See Also:
    `isSchemaSupported()`

### isAliasSupported

    public boolean isAliasSupported()

  Returns the value of the 'Alias Supported' attribute.

  If the meaning of the 'Alias Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Alias Supported' attribute.
  See Also:
    `setAliasSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_AliasSupported()`

### setAliasSupported

    public void setAliasSupported(boolean value)

  Sets the value of the '`Alias Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Alias Supported' attribute.
  See Also:
    `isAliasSupported()`

### isSynonymSupported

    public boolean isSynonymSupported()

  Returns the value of the 'Synonym Supported' attribute.

  If the meaning of the 'Synonym Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Synonym Supported' attribute.
  See Also:
    `setSynonymSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SynonymSupported()`

### setSynonymSupported

    public void setSynonymSupported(boolean value)

  Sets the value of the '`Synonym Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Synonym Supported' attribute.
  See Also:
    `isSynonymSupported()`

### isUserDefinedTypeSupported

    public boolean isUserDefinedTypeSupported()

  Returns the value of the 'User Defined Type Supported' attribute.

  If the meaning of the 'User Defined Type Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Defined Type Supported' attribute.
  See Also:
    `setUserDefinedTypeSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_UserDefinedTypeSupported()`

### setUserDefinedTypeSupported

    public void setUserDefinedTypeSupported(boolean value)

  Sets the value of the '`User Defined Type Supported`' attribute.

  Parameters:
    `value` - the new value of the 'User Defined Type Supported' attribute.
  See Also:
    `isUserDefinedTypeSupported()`

### isDomainSupported

    public boolean isDomainSupported()

  Returns the value of the 'Domain Supported' attribute.

  If the meaning of the 'Domain Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Domain Supported' attribute.
  See Also:
    `setDomainSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_DomainSupported()`

### setDomainSupported

    public void setDomainSupported(boolean value)

  Sets the value of the '`Domain Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Domain Supported' attribute.
  See Also:
    `isDomainSupported()`

### isSQLStatementSupported

    public boolean isSQLStatementSupported()

  Returns the value of the 'SQL Statement Supported' attribute.

  If the meaning of the 'SQL Statement Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'SQL Statement Supported' attribute.
  See Also:
    `setSQLStatementSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SQLStatementSupported()`

### setSQLStatementSupported

    public void setSQLStatementSupported(boolean value)

  Sets the value of the '`SQL Statement Supported`' attribute.

  Parameters:
    `value` - the new value of the 'SQL Statement Supported' attribute.
  See Also:
    `isSQLStatementSupported()`

### isNicknameSupported

    public boolean isNicknameSupported()

  Returns the value of the 'Nickname Supported' attribute.

  If the meaning of the 'Nickname Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nickname Supported' attribute.
  See Also:
    `setNicknameSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_NicknameSupported()`

### setNicknameSupported

    public void setNicknameSupported(boolean value)

  Sets the value of the '`Nickname Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Nickname Supported' attribute.
  See Also:
    `isNicknameSupported()`

### isQuotedDMLSupported

    public boolean isQuotedDMLSupported()

  Returns the value of the 'Quoted DML Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Quoted DML Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Quoted DML Supported' attribute.
  See Also:
    `setQuotedDMLSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_QuotedDMLSupported()`

### setQuotedDMLSupported

    public void setQuotedDMLSupported(boolean value)

  Sets the value of the '`Quoted DML Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Quoted DML Supported' attribute.
  See Also:
    `isQuotedDMLSupported()`

### isQuotedDDLSupported

    public boolean isQuotedDDLSupported()

  Returns the value of the 'Quoted DDL Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Quoted DDL Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Quoted DDL Supported' attribute.
  See Also:
    `setQuotedDDLSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_QuotedDDLSupported()`

### setQuotedDDLSupported

    public void setQuotedDDLSupported(boolean value)

  Sets the value of the '`Quoted DDL Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Quoted DDL Supported' attribute.
  See Also:
    `isQuotedDDLSupported()`

### isXmlSupported

    public boolean isXmlSupported()

  Returns the value of the 'Xml Supported' attribute.

  If the meaning of the 'Xml Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Xml Supported' attribute.
  See Also:
    `setXmlSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_XmlSupported()`

### setXmlSupported

    public void setXmlSupported(boolean value)

  Sets the value of the '`Xml Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Xml Supported' attribute.
  See Also:
    `isXmlSupported()`

### isMQTIndexSupported

    public boolean isMQTIndexSupported()

  Returns the value of the 'MQT Index Supported' attribute.

  If the meaning of the 'MQT Index Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'MQT Index Supported' attribute.
  See Also:
    `setMQTIndexSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_MQTIndexSupported()`

### setMQTIndexSupported

    public void setMQTIndexSupported(boolean value)

  Sets the value of the '`MQT Index Supported`' attribute.

  Parameters:
    `value` - the new value of the 'MQT Index Supported' attribute.
  See Also:
    `isMQTIndexSupported()`

### isEventSupported

    public boolean isEventSupported()

  Returns the value of the 'Event Supported' attribute.

  If the meaning of the 'Event Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Event Supported' attribute.
  See Also:
    `setEventSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_EventSupported()`

### setEventSupported

    public void setEventSupported(boolean value)

  Sets the value of the '`Event Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Event Supported' attribute.
  See Also:
    `isEventSupported()`

### isSqlUDFSupported

    public boolean isSqlUDFSupported()

  Returns the value of the 'Sql UDF Supported' attribute.

  If the meaning of the 'Sql UDF Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sql UDF Supported' attribute.
  See Also:
    `setSqlUDFSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SqlUDFSupported()`

### setSqlUDFSupported

    public void setSqlUDFSupported(boolean value)

  Sets the value of the '`Sql UDF Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Sql UDF Supported' attribute.
  See Also:
    `isSqlUDFSupported()`

### isStoredProcedureSupported

    public boolean isStoredProcedureSupported()

  Returns the value of the 'Stored Procedure Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Stored Procedure Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Stored Procedure Supported' attribute.
  See Also:
    `setStoredProcedureSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_StoredProcedureSupported()`

### setStoredProcedureSupported

    public void setStoredProcedureSupported(boolean value)

  Sets the value of the '`Stored Procedure Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Stored Procedure Supported' attribute.
  See Also:
    `isStoredProcedureSupported()`

### isPackageSupported

    public boolean isPackageSupported()

  Returns the value of the 'Package Supported' attribute.

  If the meaning of the 'Package Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Package Supported' attribute.
  See Also:
    `setPackageSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_PackageSupported()`

### setPackageSupported

    public void setPackageSupported(boolean value)

  Sets the value of the '`Package Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Package Supported' attribute.
  See Also:
    `isPackageSupported()`

### isAuthorizationIdentifierSupported

    public boolean isAuthorizationIdentifierSupported()

  Returns the value of the 'Authorization Identifier Supported' attribute. The default value is `"true"`.

  If the meaning of the 'Authorization Identifier Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Authorization Identifier Supported' attribute.
  See Also:
    `setAuthorizationIdentifierSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_AuthorizationIdentifierSupported()`

### setAuthorizationIdentifierSupported

    public void setAuthorizationIdentifierSupported(boolean value)

  Sets the value of the '`Authorization Identifier Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Authorization Identifier Supported' attribute.
  See Also:
    `isAuthorizationIdentifierSupported()`

### isRoleSupported

    public boolean isRoleSupported()

  Returns the value of the 'Role Supported' attribute.

  If the meaning of the 'Role Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Role Supported' attribute.
  See Also:
    `setRoleSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_RoleSupported()`

### setRoleSupported

    public void setRoleSupported(boolean value)

  Sets the value of the '`Role Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Role Supported' attribute.
  See Also:
    `isRoleSupported()`

### isGroupSupported

    public boolean isGroupSupported()

  Returns the value of the 'Group Supported' attribute.

  If the meaning of the 'Group Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group Supported' attribute.
  See Also:
    `setGroupSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_GroupSupported()`

### setGroupSupported

    public void setGroupSupported(boolean value)

  Sets the value of the '`Group Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Group Supported' attribute.
  See Also:
    `isGroupSupported()`

### isUserSupported

    public boolean isUserSupported()

  Returns the value of the 'User Supported' attribute.

  If the meaning of the 'User Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'User Supported' attribute.
  See Also:
    `setUserSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_UserSupported()`

### setUserSupported

    public void setUserSupported(boolean value)

  Sets the value of the '`User Supported`' attribute.

  Parameters:
    `value` - the new value of the 'User Supported' attribute.
  See Also:
    `isUserSupported()`

### isRoleAuthorizationSupported

    public boolean isRoleAuthorizationSupported()

  Returns the value of the 'Role Authorization Supported' attribute.

  If the meaning of the 'Role Authorization Supported' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Role Authorization Supported' attribute.
  See Also:
    `setRoleAuthorizationSupported(boolean)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_RoleAuthorizationSupported()`

### setRoleAuthorizationSupported

    public void setRoleAuthorizationSupported(boolean value)

  Sets the value of the '`Role Authorization Supported`' attribute.

  Parameters:
    `value` - the new value of the 'Role Authorization Supported' attribute.
  See Also:
    `isRoleAuthorizationSupported()`

### getPredefinedDataTypeDefinitions

    public EList getPredefinedDataTypeDefinitions()

  Returns the value of the 'Predefined Data Type Definitions' containment reference list. The list contents are of type `PredefinedDataTypeDefinition`.

  If the meaning of the 'Predefined Data Type Definitions' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Predefined Data Type Definitions' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getDatabaseVendorDefinition_PredefinedDataTypeDefinitions()`

### getTableSpaceDefinition

    public TableSpaceDefinition getTableSpaceDefinition()

  Returns the value of the 'Table Space Definition' containment reference.

  If the meaning of the 'Table Space Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Space Definition' containment reference.
  See Also:
    `setTableSpaceDefinition(TableSpaceDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_TableSpaceDefinition()`

### setTableSpaceDefinition

    public void setTableSpaceDefinition(TableSpaceDefinition value)

  Sets the value of the '`Table Space Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Table Space Definition' containment reference.
  See Also:
    `getTableSpaceDefinition()`

### getStoredProcedureDefinition

    public StoredProcedureDefinition getStoredProcedureDefinition()

  Returns the value of the 'Stored Procedure Definition' containment reference.

  If the meaning of the 'Stored Procedure Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Stored Procedure Definition' containment reference.
  See Also:
    `setStoredProcedureDefinition(StoredProcedureDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_StoredProcedureDefinition()`

### setStoredProcedureDefinition

    public void setStoredProcedureDefinition(StoredProcedureDefinition value)

  Sets the value of the '`Stored Procedure Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Stored Procedure Definition' containment reference.
  See Also:
    `getStoredProcedureDefinition()`

### getTriggerDefinition

    public TriggerDefinition getTriggerDefinition()

  Returns the value of the 'Trigger Definition' containment reference.

  If the meaning of the 'Trigger Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Trigger Definition' containment reference.
  See Also:
    `setTriggerDefinition(TriggerDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_TriggerDefinition()`

### setTriggerDefinition

    public void setTriggerDefinition(TriggerDefinition value)

  Sets the value of the '`Trigger Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Trigger Definition' containment reference.
  See Also:
    `getTriggerDefinition()`

### getColumnDefinition

    public ColumnDefinition getColumnDefinition()

  Returns the value of the 'Column Definition' containment reference.

  If the meaning of the 'Column Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Definition' containment reference.
  See Also:
    `setColumnDefinition(ColumnDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ColumnDefinition()`

### setColumnDefinition

    public void setColumnDefinition(ColumnDefinition value)

  Sets the value of the '`Column Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Column Definition' containment reference.
  See Also:
    `getColumnDefinition()`

### getConstraintDefinition

    public ConstraintDefinition getConstraintDefinition()

  Returns the value of the 'Constraint Definition' containment reference.

  If the meaning of the 'Constraint Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Constraint Definition' containment reference.
  See Also:
    `setConstraintDefinition(ConstraintDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ConstraintDefinition()`

### setConstraintDefinition

    public void setConstraintDefinition(ConstraintDefinition value)

  Sets the value of the '`Constraint Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Constraint Definition' containment reference.
  See Also:
    `getConstraintDefinition()`

### getExtendedDefinitions

    public EList getExtendedDefinitions()

  Returns the value of the 'Extended Definitions' containment reference list. The list contents are of type `ExtendedDefinition`.

  If the meaning of the 'Extended Definitions' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Extended Definitions' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ExtendedDefinitions()`

### getIndexDefinition

    public IndexDefinition getIndexDefinition()

  Returns the value of the 'Index Definition' containment reference.

  If the meaning of the 'Index Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Index Definition' containment reference.
  See Also:
    `setIndexDefinition(IndexDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_IndexDefinition()`

### setIndexDefinition

    public void setIndexDefinition(IndexDefinition value)

  Sets the value of the '`Index Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Index Definition' containment reference.
  See Also:
    `getIndexDefinition()`

### getTableDefinition

    public TableDefinition getTableDefinition()

  Returns the value of the 'Table Definition' containment reference.

  If the meaning of the 'Table Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Table Definition' containment reference.
  See Also:
    `setTableDefinition(TableDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_TableDefinition()`

### setTableDefinition

    public void setTableDefinition(TableDefinition value)

  Sets the value of the '`Table Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Table Definition' containment reference.
  See Also:
    `getTableDefinition()`

### getSequenceDefinition

    public SequenceDefinition getSequenceDefinition()

  Returns the value of the 'Sequence Definition' containment reference.

  If the meaning of the 'Sequence Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Sequence Definition' containment reference.
  See Also:
    `setSequenceDefinition(SequenceDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SequenceDefinition()`

### setSequenceDefinition

    public void setSequenceDefinition(SequenceDefinition value)

  Sets the value of the '`Sequence Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Sequence Definition' containment reference.
  See Also:
    `getSequenceDefinition()`

### getUdtDefinition

    public UserDefinedTypeDefinition getUdtDefinition()

  Returns the value of the 'Udt Definition' containment reference.

  If the meaning of the 'Udt Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Udt Definition' containment reference.
  See Also:
    `setUdtDefinition(UserDefinedTypeDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_UdtDefinition()`

### setUdtDefinition

    public void setUdtDefinition(UserDefinedTypeDefinition value)

  Sets the value of the '`Udt Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Udt Definition' containment reference.
  See Also:
    `getUdtDefinition()`

### getQueryDefinition

    public QueryDefinition getQueryDefinition()

  Returns the value of the 'Query Definition' containment reference.

  If the meaning of the 'Query Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Query Definition' containment reference.
  See Also:
    `setQueryDefinition(QueryDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_QueryDefinition()`

### setQueryDefinition

    public void setQueryDefinition(QueryDefinition value)

  Sets the value of the '`Query Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Query Definition' containment reference.
  See Also:
    `getQueryDefinition()`

### getSQLSyntaxDefinition

    public SQLSyntaxDefinition getSQLSyntaxDefinition()

  Returns the value of the 'SQL Syntax Definition' containment reference.

  If the meaning of the 'SQL Syntax Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'SQL Syntax Definition' containment reference.
  See Also:
    `setSQLSyntaxDefinition(SQLSyntaxDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SQLSyntaxDefinition()`

### setSQLSyntaxDefinition

    public void setSQLSyntaxDefinition(SQLSyntaxDefinition value)

  Sets the value of the '`SQL Syntax Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'SQL Syntax Definition' containment reference.
  See Also:
    `getSQLSyntaxDefinition()`

### getNicknameDefinition

    public NicknameDefinition getNicknameDefinition()

  Returns the value of the 'Nickname Definition' containment reference.

  If the meaning of the 'Nickname Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nickname Definition' containment reference.
  See Also:
    `setNicknameDefinition(NicknameDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_NicknameDefinition()`

### setNicknameDefinition

    public void setNicknameDefinition(NicknameDefinition value)

  Sets the value of the '`Nickname Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Nickname Definition' containment reference.
  See Also:
    `getNicknameDefinition()`

### getSchemaDefinition

    public SchemaDefinition getSchemaDefinition()

  Returns the value of the 'Schema Definition' containment reference.

  If the meaning of the 'Schema Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema Definition' containment reference.
  See Also:
    `setSchemaDefinition(SchemaDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_SchemaDefinition()`

### setSchemaDefinition

    public void setSchemaDefinition(SchemaDefinition value)

  Sets the value of the '`Schema Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Schema Definition' containment reference.
  See Also:
    `getSchemaDefinition()`

### getViewDefinition

    public ViewDefinition getViewDefinition()

  Returns the value of the 'View Definition' containment reference.

  If the meaning of the 'View Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'View Definition' containment reference.
  See Also:
    `setViewDefinition(ViewDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_ViewDefinition()`

### setViewDefinition

    public void setViewDefinition(ViewDefinition value)

  Sets the value of the '`View Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'View Definition' containment reference.
  See Also:
    `getViewDefinition()`

### getDebuggerDefinition

    public DebuggerDefinition getDebuggerDefinition()

  Returns the value of the 'Debugger Definition' containment reference.

  If the meaning of the 'Debugger Definition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Debugger Definition' containment reference.
  See Also:
    `setDebuggerDefinition(DebuggerDefinition)`, `DatabaseDefinitionPackage.getDatabaseVendorDefinition_DebuggerDefinition()`

### setDebuggerDefinition

    public void setDebuggerDefinition(DebuggerDefinition value)

  Sets the value of the '`Debugger Definition`' containment reference.

  Parameters:
    `value` - the new value of the 'Debugger Definition' containment reference.
  See Also:
    `getDebuggerDefinition()`

### getPrivilegedElementDefinitions

    public EList getPrivilegedElementDefinitions()

  Returns the value of the 'Privileged Element Definitions' containment reference list. The list contents are of type `PrivilegedElementDefinition`.

  If the meaning of the 'Privileged Element Definitions' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Privileged Element Definitions' containment reference list.
  See Also:
    `DatabaseDefinitionPackage.getDatabaseVendorDefinition_PrivilegedElementDefinitions()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.